// SDI_SerializeView.h : Schnittstelle der Klasse CSDI_SerializeView
//


#pragma once
#include "afxwin.h"
#include "afxcmn.h"


class CSDI_SerializeView : public CFormView
{
protected: // Nur aus Serialisierung erstellen
	CSDI_SerializeView();
	DECLARE_DYNCREATE(CSDI_SerializeView)

	virtual void OnDraw(CDC* pDC);  // berschrieben, um diese Ansicht darzustellen

public:
	enum{ IDD = IDD_SDI_SERIALIZE_FORM };

// Attribute
public:
	CSDI_SerializeDoc* GetDocument() const;

// Vorgnge
	bool m_start;
public:

// berschreibungen
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung

// Implementierung
public:
	virtual ~CSDI_SerializeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
public:
	CString m_name;
	UINT m_matrnr;
	CListBox m_pruefung_ctrl;
	CSpinButtonCtrl m_matrnr_spin_ctrl;
	afx_msg void OnEnChangeName();
	afx_msg void OnEnChangeMatrnr();
	afx_msg void OnLbnSelchangePruefung();
};

#ifndef _DEBUG  // Debugversion in SDI_SerializeView.cpp
inline CSDI_SerializeDoc* CSDI_SerializeView::GetDocument() const
   { return reinterpret_cast<CSDI_SerializeDoc*>(m_pDocument); }
#endif

